#!/bin/sh
# Grant read and write permission to owner and ni group.
# This script will be run by udev rules when NXG LabVIEW 7018 watchdog driver is added.
# It is needed for LabVIEW or lvuser to be able to write to sysfs file of 7018 watchdog.
set -e
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/trigger
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/trigger_polarity
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/keepalive_trigger
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/keepalive_trigger_polarity
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_reset
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_soft_ping
chmod 660 /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_interrupt
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/trigger
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/trigger_polarity
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/keepalive_trigger
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/keepalive_trigger_polarity
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_reset
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_soft_ping
chgrp ni /sys/bus/platform/devices/NIC7018:00/watchdog/watchdog0/enable_interrupt
